function Y = LemniscatePath(u)
t     =  u(1);
r     =  u(2);  %% 2x This is the Width of the figure-8
omega =  u(3);  %% "Average" Angular Velocity: "Dphi"



    x=r*sin(omega*t);
    dx=omega*r*cos(omega*t);
    ddx=-omega^2*r*sin(omega*t);
    dddx=-omega^3*r*cos(omega*t);

    if x==0
        y=0;
    end

if x>0 & ddx<0 & dx>0
    y = (1/2)*sqrt(-4*x^2-2*r^2+2*sqrt(8*r^2*x^2+r^4));
end 
if x>0 & ddx<0 & dx<0
    y = -(1/2)*sqrt(-4*x^2-2*r^2+2*sqrt(8*r^2*x^2+r^4));
end
if x<0 & ddx>0 & dx<0
    y = (1/2)*sqrt(-4*x^2-2*r^2+2*sqrt(8*r^2*x^2+r^4));
end
if  x<0 & ddx>0 & dx>0
    y = -(1/2)*sqrt(-4*x^2-2*r^2+2*sqrt(8*r^2*x^2+r^4));
end
  
%if t<.002
%  dy = dx;
%else
  dy = (-4*x^3*dx-4*y^2*x*dx+2*r^2*x*dx)/(4*x^2*y+4*y^3+2*r^2*y);
%end
ddy = (-2*(2*x*dx+2*y*dy)^2-4*x^2*dx^2-4*x^3*ddx-4*x^2*dy^2-4*y^2*dx^2-4*y^2*x*ddx-4*y^2*dy^2+2*r^2*dx^2+2*r^2*x*ddx-2*r^2*dy^2)/(4*x^2*y+4*y^3+2*r^2*y);
dddy = (-(6*(2*x*dx+2*y*dy))*(2*dx^2+2*x*ddx+2*dy^2+2*y*ddy)-12*x^2*dx*ddx-4*x^3*dddx-12*x^2*dy*ddy-12*y^2*dx*ddx-4*y^2*x*dddx-12*y^2*dy*ddy+6*r^2*dx*ddx+2*r^2*x*dddx-6*r^2*dy*ddy)/(4*x^2*y+4*y^3+2*r^2*y);

if t<0.001
    dy = r/omega*sin(34*pi/180);
    ddy=0;
end

if    t==0
    dy = r/omega;
    ddy=0;
    phi=34.07*pi/180;
    dphi=0;
else
    phi=atan2(dy,dx);
    dphi=-(-ddy*dx+dy*ddx)/(dx^2+dy^2);
end
    
v =(dx*cos(phi)+dy*sin(phi));

Y = [x y dx dy phi dphi v]';