function qout = NavigationalControl(u)

%% Imports %%
xd    = u(1);
yd    = u(2);
phid  = u(3);
Dphid = u(4);
vd    = u(5);
x     = u(6);
y     = u(7);
phi   = u(8);

k1    = u(9);
k2    = u(10);
k3    = u(11);
k4    = u(12);
k5    = u(13);

%% Global Differences
e = [xd-x yd-y phid-phi]';
% Rotation to body
R = [cos(phi) sin(phi) 0;-sin(phi) cos(phi) 0;0 0 1];
%% Local Error: [tangent lateral phi]'
pe = R*e;
%%%%%%%%%%%%%%%
e1 = pe(1);
e2 = pe(2);
e3 = pe(3);

%% Velocity and Angular Velocity Control:
v = (vd*cos(e3)+k1*e1)   + k4*(e1)*e2^2; 
Dphi = Dphid + vd*(k2*e2 + k3*sin(e3))  + k5*sign(sin(e3))*e2^2;

qout = [v Dphi]';