function qout = NavigationalControl_DDpsid(u)
%u = randn(15);

%% Imports %%
xd    = u(1);
yd    = u(2);
phid  = u(3);
Dphid = u(4);
vd    = u(5);
x     = u(6);
y     = u(7);
phi   = u(8);

k1    = u(9);
k2    = u(10);
k3    = u(11);
k4    = u(12);
k5    = u(13);

DDphid = u(14);
Dvd = u(15);

%% Global Differences
e = [xd-x yd-y phid-phi]';
% Rotation to body
R = [cos(phi) sin(phi) 0;-sin(phi) cos(phi) 0;0 0 1];
%% Local Error: [tangent lateral phi]'
pe = R*e;
%%%%%%%%%%%%%%%
e1 = pe(1);
e2 = pe(2);
e3 = pe(3);

%% Velocity and Angular Velocity Control:
v = (vd*cos(e3)+k1*e1)   + k4*(e1)*e2^2; 
Dphi = Dphid + vd*(k2*e2 + k3*sin(e3))  + k5*sin(e3)*e2^2;

Dv = cos(e3) * Dvd - vd * sin(e3) * (Dphid - Dphi) + (k1 + e2 ^ 2 * k4) * (Dphi * e2 - k1 * e1 - k4 * e1 * e2 ^ 2) + 0.2e1 * k4 * e1 * e2 * (-e1 * Dphi + vd * sin(e3));

%%DDphi = (k2 * e2 + k3 * sin(e3)) * Dvd + vd * k3 * cos(e3) * (Dphid - Dphi) + vd * k2 * (-e1 * %%Dphi + vd * sin(e3)) + DDphid + 0.2e1 * k5 * e2 * (-e1 * Dphi + vd * sin(e3)) * sign(e3);
DDphi = (k2 * e2 + k3 * sin(e3)) * Dvd + (vd * k3 * cos(e3) + cos(e3) * k5 * e2 ^ 2) * (Dphid - Dphi) + (vd * k2 + 0.2e1 * sin(e3) * k5 * e2) * (-e1 * Dphi + vd * sin(e3)) + DDphid;


qout = [v Dphi Dv DDphi]';